Last Comment Bug 725036 - 'perspective' property doesn't reject negative numbers
: 'perspective' property doesn't reject negative numbers
Status: RESOLVED FIXED
[inbound]
:
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: mozilla13
Assigned To: :Aryeh Gregor (away until August 15)
:
Mentors:
Depends on:
Blocks: 505115
  Show dependency treegraph
 
Reported: 2012-02-07 11:42 PST by :Aryeh Gregor (away until August 15)
Modified: 2015-11-01 18:28 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (2.05 KB, patch)
2012-02-07 11:44 PST, :Aryeh Gregor (away until August 15)
matt.woodrow: review+
Details | Diff | Review

Description :Aryeh Gregor (away until August 15) 2012-02-07 11:42:57 PST
Bug 505115 part 18 fixed this for the perspective() function, but not for the 'perspective' property.
Comment 1 :Aryeh Gregor (away until August 15) 2012-02-07 11:44:40 PST
Created attachment 595117 [details] [diff] [review]
Patch

Mochitests in layout/style/test/ all pass on my machine.  Didn't push to tryservers because my account hasn't been created yet.
Comment 2 Mozilla RelEng Bot 2012-02-07 12:57:03 PST
Autoland Patchset:
	Patches: 595117
	Branch: mozilla-central => try
	Destination: http://hg.mozilla.org/try/rev/8472b2cb12d8
Try run started, revision 8472b2cb12d8. To cancel or monitor the job, see: https://tbpl.mozilla.org/?tree=Try&rev=8472b2cb12d8
Comment 3 Mozilla RelEng Bot 2012-02-07 23:45:20 PST
Try run for 8472b2cb12d8 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=8472b2cb12d8
Results (out of 210 total builds):
    success: 183
    warnings: 20
    other: 7
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/autolanduser@mozilla.com-8472b2cb12d8
 Timed out after 06 hours without completing.
Comment 4 :Aryeh Gregor (away until August 15) 2012-02-08 08:19:37 PST
All the failures look unrelated -- some are filed as intermittent failures, and some memory leaks on Win debug.  And a timeout on Android opt C1.
Comment 6 Ed Morley [:emorley] 2012-02-09 10:14:45 PST
https://hg.mozilla.org/mozilla-central/rev/3bcf2388db18
Comment 7 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2015-11-01 18:28:29 PST
*** Bug 696936 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.